package com.kmall.manager.manager.express.sf.request;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;

/**
 * @author huangyq
 * @version 1.0
 * 2019-03-29 16:54
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class RouteRequest {
    @XmlAttribute(name = "tracking_type")
    private Integer tracking_type;//1则运单号，2则客户订单号 3 逆向单

    @XmlAttribute(name = "tracking_number")
    private String tracking_number;//运单号/客户订单号

    @XmlAttribute(name = "method_type")
    private Integer method_type;

    public Integer getMethod_type() {
        return method_type;
    }

    public void setMethod_type(Integer method_type) {
        this.method_type = method_type;
    }

    public Integer getTracking_type() {
        return tracking_type;
    }

    public void setTracking_type(Integer tracking_type) {
        this.tracking_type = tracking_type;
    }

    public String getTracking_number() {
        return tracking_number;
    }

    public void setTracking_number(String tracking_number) {
        this.tracking_number = tracking_number;
    }
}